xn::NodeInfoList::Iterator Class Reference

`#include <XnCppWrapper.h>`

## Public Member Functions

XnBool | operator== (const Iterator &other) const
XnBool | operator!= (const Iterator &other) const
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
NodeInfo | operator* ()

## Friends

class | NodeInfoList

## Detailed Description

Represents an iterator over a NodeInfoList list.

## Member Function Documentation

## operator!=()

XnBool xn::NodeInfoList::Iterator::operator!= | ( | const Iterator & | other | ) | const

inline

Returns whether the iterator points to a different location than another iterator.

Parameters

  [in] | other | Another iterator

## operator*()

NodeInfo xn::NodeInfoList::Iterator::operator* | ( |  | ) |

inline

Gets the NodeInfo object pointed by the iterator.

## operator++() [1/2]

Iterator & xn::NodeInfoList::Iterator::operator++ | ( |  | ) |

inline

Moves the iterator to the next object. If the end of the list was reached, the iterator will now be equal to NodeInfoList::End().

## operator++() [2/2]

Iterator xn::NodeInfoList::Iterator::operator++ | ( | int |  | ) |

inline

Returns an iterator pointing at the next object. If the end of the list was reached, that iterator will now be equal to NodeInfoList::End().

## operator--() [1/2]

Iterator & xn::NodeInfoList::Iterator::operator-- | ( |  | ) |

inline

Moves the iterator to the previous object.

## operator--() [2/2]

Iterator xn::NodeInfoList::Iterator::operator-- | ( | int |  | ) |

inline

Returns an iterator pointing at the previous object.

## operator==()

XnBool xn::NodeInfoList::Iterator::operator== | ( | const Iterator & | other | ) | const

inline

Returns whether the iterator points to the same location as another iterator.

Parameters

  [in] | other | Another iterator

Remarks

This method can be used for checking if the two iterators are pointing to the same NodeInfo object.

Note that the two iterators can also both point to NULL.

## Friends And Related Symbol Documentation

## NodeInfoList

friend class NodeInfoList

friend

The documentation for this class was generated from the following file:

- XnCppWrapper.h